import request from '@/utils/request'

// 查询企微任务看板列表
export function listQwWorkTask(query) {
  return request({
    url: '/qw/QwWorkTaskNew/list',
    method: 'get',
    params: query
  })
}
export function deptListQwWorkTask(query) {
  return request({
    url: '/qw/QwWorkTaskNew/deptList',
    method: 'get',
    params: query
  })
}
export function allListQwWorkTask(query) {
  return request({
    url: '/qw/QwWorkTaskNew/allList',
    method: 'get',
    params: query
  })
}
export function glList(query) {
  return request({
    url: '/qw/QwWorkTaskNew/glList',
    method: 'get',
    params: query
  })
}
// 查询企微任务看板详细
export function getQwWorkTask(id) {
  return request({
    url: '/qw/QwWorkTaskNew/' + id,
    method: 'get'
  })
}

// 新增企微任务看板
export function addQwWorkTask(data) {
  return request({
    url: '/qw/QwWorkTaskNew',
    method: 'post',
    data: data
  })
}

// 修改企微任务看板
export function updateQwWorkTask(data) {
  return request({
    url: '/qw/QwWorkTaskNew',
    method: 'put',
    data: data
  })
}
export function updateQwWorkTask2(data) {
  return request({
    url: '/qw/QwWorkTaskNew/edit2',
    method: 'put',
    data: data
  })
}
export function updateQwWorkTask3(data) {
  return request({
    url: '/qw/QwWorkTaskNew/edit3',
    method: 'put',
    data: data
  })
}
// 删除企微任务看板
export function delQwWorkTask(id) {
  return request({
    url: '/qw/QwWorkTaskNew/' + id,
    method: 'delete'
  })
}

// 导出企微任务看板
export function exportQwWorkTask(query) {
  return request({
    url: '/qw/QwWorkTaskNew/export',
    method: 'get',
    params: query
  })
}
